24 | 05 | 2017

Create Circle Object

Below a sample of how to create a circle object.

{code lang:vbnet lines:false hidden:false}Sub CreateCircleObjects()

'****************************************
'*** Code from VisibleVisual.com ********
'****************************************

Dim circleObj As AcadCircle
Dim centerPoint(0 To 2) As Double
Dim radius As Double
' Define the Circle Center Point
centerPoint(0) = 0: centerPoint(1) = 0: centerPoint(2) = 0
' Define the Radius
radius = 5
' Add circle to modelspace
Set circleObj = ThisDrawing.ModelSpace.AddCircle(centerPoint, radius)
ZoomAll
End Sub{/code}

Login

Sign up now and upload your code to the website.

Help us to continue.....
Statistics
Articles View Hits
2258919
Latest Articles